Bug 150191 - Smart Link Soft Modem driver can't find gcc
Smart Link Soft Modem driver can't find gcc
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-03-03 10:52 EST by Neil Walker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-04 06:45:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Walker 2005-03-03 10:52:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6)
Gecko/20050223 Firefox/1.0.1

Description of problem:
Installing Smart Link Soft Modem for Linux driver for AMR modem
When run "make" get 
gcc: Command not found.
Do a search for gcc and find following link
/usr/libexec/gcc/i386-rdehat-linux/3.4.2/cc1 executable. (folders from
gcc on, are empty)
Change the modem make file for parameter CC:= gcc to CC:= cc1
Now get cc1: Command not found
Add to modem make file 
PATH:= $PATH:/usr/libexec which should go thru subfolders to cc1 BUT
doesn't so have to add /gcc/i386-redhat-linux/3.4.2
Now get 
cc1 -Wall -g -O -I. -DCONFIG_DEBUG_MODEM -o modem_main.o -c modem_main.c
cc1: error: unrecognized command line option "-c"
If one goes to http://gcc.gnu.org/ and checks the manual for 3.4.3
(there is no 3.4.2) "-c" is a valid option.
This is also a valid option for 3.3.5.

What's going on here?

Also in the Requirements section for installation of the modem it
states for Linux 2.6 "You need the full kernel source tree installed
and configured."
If this is not the case in a standard installation of core 3, how is
it done?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download driver from www.smlink.com
2. Extract into /slmodem-2.9.10
3. Edit /slmodem-2.9.10/Makefile 
"KERNEL_DIR:= /lib/module/2.6.9-1.667/build"
4. Edit /slmodem-2.9.10/modem/Makefile
change CC:= gcc to CC:= cc1
add PATH:= $PATH:/usr/libexec/gcc/i386-redhat-linux/3.4.2
5. cd /slmodem-2.9.10
6. make    

Additional info:
Comment 1 Jakub Jelinek 2005-03-04 06:45:45 EST
I guess you have just cpp package installed and not gcc.  up2date gcc
or yum install gcc should fix this up.

Note You need to log in before you can comment on or make changes to this bug.